gdlmm: Gdl::DockLayout Class Reference

gdlmm 3.7.3

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gdl::DockLayout Class Reference
Inheritance diagram for Gdl::DockLayout:
[legend]
Collaboration diagram for Gdl::DockLayout:
[legend]

## Public Member Functions
virtual | ~DockLayout ()
GdlDockLayout* | gobj ()
| Provides access to the underlying C GObject.
const GdlDockLayout* | gobj () const
| Provides access to the underlying C GObject.
GdlDockLayout* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | attach (const Glib::RefPtr< DockMaster >& master)
bool | load_layout (const Glib::ustring& name)
void | save_layout (const Glib::ustring& name)
void | delete_layout (const Glib::ustring& name)
std::vector< Glib::ustring > | get_layouts (bool include_default)
bool | load_from_file (const std::string& filename)
bool | save_to_file (const std::string& filename)
bool | is_dirty () const
Glib::PropertyProxy_ReadOnly < bool > | property_dirty () const
| True if the layouts have changed and need to be saved to a file.
Glib::PropertyProxy < Glib::RefPtr< DockMaster > > | property_master ()
| GdlDockMaster or GdlDockObject object which the layout object is attached to.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< DockMaster > > | property_master () const
| GdlDockMaster or GdlDockObject object which the layout object is attached to.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< DockLayout > | create (Dock& dock)

## Protected Member Functions
| DockLayout (Dock& dock)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gdl::DockLayout > | wrap (GdlDockLayout* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gdl::DockLayout::~DockLayout | ( |  | ) |
| virtual

Gdl::DockLayout::DockLayout | ( | Dock& | dock | ) |
| protected

## Member Function Documentation

void Gdl::DockLayout::attach | ( | const Glib::RefPtr< DockMaster >& | master | ) |

static Glib::RefPtr<DockLayout> Gdl::DockLayout::create | ( | Dock& | dock | ) |
| static

void Gdl::DockLayout::delete_layout | ( | const Glib::ustring & | name | ) |

std::vector<Glib::ustring> Gdl::DockLayout::get_layouts | ( | bool | include_default | ) |

static GType Gdl::DockLayout::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GdlDockLayout* Gdl::DockLayout::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GdlDockLayout* Gdl::DockLayout::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GdlDockLayout* Gdl::DockLayout::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gdl::DockLayout::is_dirty | ( |  | ) | const

bool Gdl::DockLayout::load_from_file | ( | const std::string & | filename | ) |

bool Gdl::DockLayout::load_layout | ( | const Glib::ustring & | name | ) |

Glib::PropertyProxy_ReadOnly< bool > Gdl::DockLayout::property_dirty | ( |  | ) | const

True if the layouts have changed and need to be saved to a file.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<DockMaster> > Gdl::DockLayout::property_master | ( |  | ) |

GdlDockMaster or GdlDockObject object which the layout object is attached to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<DockMaster> > Gdl::DockLayout::property_master | ( |  | ) | const

GdlDockMaster or GdlDockObject object which the layout object is attached to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gdl::DockLayout::save_layout | ( | const Glib::ustring & | name | ) |

bool Gdl::DockLayout::save_to_file | ( | const std::string & | filename | ) |

## Friends And Related Function Documentation

Glib::RefPtr< Gdl::DockLayout > wrap | ( | GdlDockLayout * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdlmm/docklayout.h